package cn.edu.whu.boot.xml.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TaskExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TaskExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTaskNameIsNull() {
            addCriterion("task_name is null");
            return (Criteria) this;
        }

        public Criteria andTaskNameIsNotNull() {
            addCriterion("task_name is not null");
            return (Criteria) this;
        }

        public Criteria andTaskNameEqualTo(String value) {
            addCriterion("task_name =", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameNotEqualTo(String value) {
            addCriterion("task_name <>", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameGreaterThan(String value) {
            addCriterion("task_name >", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameGreaterThanOrEqualTo(String value) {
            addCriterion("task_name >=", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameLessThan(String value) {
            addCriterion("task_name <", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameLessThanOrEqualTo(String value) {
            addCriterion("task_name <=", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameLike(String value) {
            addCriterion("task_name like", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameNotLike(String value) {
            addCriterion("task_name not like", value, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameIn(List<String> values) {
            addCriterion("task_name in", values, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameNotIn(List<String> values) {
            addCriterion("task_name not in", values, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameBetween(String value1, String value2) {
            addCriterion("task_name between", value1, value2, "taskName");
            return (Criteria) this;
        }

        public Criteria andTaskNameNotBetween(String value1, String value2) {
            addCriterion("task_name not between", value1, value2, "taskName");
            return (Criteria) this;
        }

        public Criteria andOperatorIsNull() {
            addCriterion("operator is null");
            return (Criteria) this;
        }

        public Criteria andOperatorIsNotNull() {
            addCriterion("operator is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorEqualTo(String value) {
            addCriterion("operator =", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotEqualTo(String value) {
            addCriterion("operator <>", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorGreaterThan(String value) {
            addCriterion("operator >", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("operator >=", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLessThan(String value) {
            addCriterion("operator <", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLessThanOrEqualTo(String value) {
            addCriterion("operator <=", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLike(String value) {
            addCriterion("operator like", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotLike(String value) {
            addCriterion("operator not like", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorIn(List<String> values) {
            addCriterion("operator in", values, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotIn(List<String> values) {
            addCriterion("operator not in", values, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorBetween(String value1, String value2) {
            addCriterion("operator between", value1, value2, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotBetween(String value1, String value2) {
            addCriterion("operator not between", value1, value2, "operator");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNull() {
            addCriterion("modify_time is null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIsNotNull() {
            addCriterion("modify_time is not null");
            return (Criteria) this;
        }

        public Criteria andModifyTimeEqualTo(Date value) {
            addCriterion("modify_time =", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotEqualTo(Date value) {
            addCriterion("modify_time <>", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThan(Date value) {
            addCriterion("modify_time >", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("modify_time >=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThan(Date value) {
            addCriterion("modify_time <", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeLessThanOrEqualTo(Date value) {
            addCriterion("modify_time <=", value, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeIn(List<Date> values) {
            addCriterion("modify_time in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotIn(List<Date> values) {
            addCriterion("modify_time not in", values, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeBetween(Date value1, Date value2) {
            addCriterion("modify_time between", value1, value2, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andModifyTimeNotBetween(Date value1, Date value2) {
            addCriterion("modify_time not between", value1, value2, "modifyTime");
            return (Criteria) this;
        }

        public Criteria andXmlIdIsNull() {
            addCriterion("xml_id is null");
            return (Criteria) this;
        }

        public Criteria andXmlIdIsNotNull() {
            addCriterion("xml_id is not null");
            return (Criteria) this;
        }

        public Criteria andXmlIdEqualTo(Integer value) {
            addCriterion("xml_id =", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdNotEqualTo(Integer value) {
            addCriterion("xml_id <>", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdGreaterThan(Integer value) {
            addCriterion("xml_id >", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("xml_id >=", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdLessThan(Integer value) {
            addCriterion("xml_id <", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdLessThanOrEqualTo(Integer value) {
            addCriterion("xml_id <=", value, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdIn(List<Integer> values) {
            addCriterion("xml_id in", values, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdNotIn(List<Integer> values) {
            addCriterion("xml_id not in", values, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdBetween(Integer value1, Integer value2) {
            addCriterion("xml_id between", value1, value2, "xmlId");
            return (Criteria) this;
        }

        public Criteria andXmlIdNotBetween(Integer value1, Integer value2) {
            addCriterion("xml_id not between", value1, value2, "xmlId");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesIsNull() {
            addCriterion("has_create_tables is null");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesIsNotNull() {
            addCriterion("has_create_tables is not null");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesEqualTo(Short value) {
            addCriterion("has_create_tables =", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesNotEqualTo(Short value) {
            addCriterion("has_create_tables <>", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesGreaterThan(Short value) {
            addCriterion("has_create_tables >", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesGreaterThanOrEqualTo(Short value) {
            addCriterion("has_create_tables >=", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesLessThan(Short value) {
            addCriterion("has_create_tables <", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesLessThanOrEqualTo(Short value) {
            addCriterion("has_create_tables <=", value, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesIn(List<Short> values) {
            addCriterion("has_create_tables in", values, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesNotIn(List<Short> values) {
            addCriterion("has_create_tables not in", values, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesBetween(Short value1, Short value2) {
            addCriterion("has_create_tables between", value1, value2, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andHasCreateTablesNotBetween(Short value1, Short value2) {
            addCriterion("has_create_tables not between", value1, value2, "hasCreateTables");
            return (Criteria) this;
        }

        public Criteria andConfigIsNull() {
            addCriterion("config is null");
            return (Criteria) this;
        }

        public Criteria andConfigIsNotNull() {
            addCriterion("config is not null");
            return (Criteria) this;
        }

        public Criteria andConfigEqualTo(String value) {
            addCriterion("config =", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigNotEqualTo(String value) {
            addCriterion("config <>", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigGreaterThan(String value) {
            addCriterion("config >", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigGreaterThanOrEqualTo(String value) {
            addCriterion("config >=", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigLessThan(String value) {
            addCriterion("config <", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigLessThanOrEqualTo(String value) {
            addCriterion("config <=", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigLike(String value) {
            addCriterion("config like", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigNotLike(String value) {
            addCriterion("config not like", value, "config");
            return (Criteria) this;
        }

        public Criteria andConfigIn(List<String> values) {
            addCriterion("config in", values, "config");
            return (Criteria) this;
        }

        public Criteria andConfigNotIn(List<String> values) {
            addCriterion("config not in", values, "config");
            return (Criteria) this;
        }

        public Criteria andConfigBetween(String value1, String value2) {
            addCriterion("config between", value1, value2, "config");
            return (Criteria) this;
        }

        public Criteria andConfigNotBetween(String value1, String value2) {
            addCriterion("config not between", value1, value2, "config");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameIsNull() {
            addCriterion("database_name is null");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameIsNotNull() {
            addCriterion("database_name is not null");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameEqualTo(String value) {
            addCriterion("database_name =", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameNotEqualTo(String value) {
            addCriterion("database_name <>", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameGreaterThan(String value) {
            addCriterion("database_name >", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameGreaterThanOrEqualTo(String value) {
            addCriterion("database_name >=", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameLessThan(String value) {
            addCriterion("database_name <", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameLessThanOrEqualTo(String value) {
            addCriterion("database_name <=", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameLike(String value) {
            addCriterion("database_name like", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameNotLike(String value) {
            addCriterion("database_name not like", value, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameIn(List<String> values) {
            addCriterion("database_name in", values, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameNotIn(List<String> values) {
            addCriterion("database_name not in", values, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameBetween(String value1, String value2) {
            addCriterion("database_name between", value1, value2, "databaseName");
            return (Criteria) this;
        }

        public Criteria andDatabaseNameNotBetween(String value1, String value2) {
            addCriterion("database_name not between", value1, value2, "databaseName");
            return (Criteria) this;
        }

        public Criteria andIntroductionIsNull() {
            addCriterion("introduction is null");
            return (Criteria) this;
        }

        public Criteria andIntroductionIsNotNull() {
            addCriterion("introduction is not null");
            return (Criteria) this;
        }

        public Criteria andIntroductionEqualTo(String value) {
            addCriterion("introduction =", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionNotEqualTo(String value) {
            addCriterion("introduction <>", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionGreaterThan(String value) {
            addCriterion("introduction >", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionGreaterThanOrEqualTo(String value) {
            addCriterion("introduction >=", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionLessThan(String value) {
            addCriterion("introduction <", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionLessThanOrEqualTo(String value) {
            addCriterion("introduction <=", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionLike(String value) {
            addCriterion("introduction like", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionNotLike(String value) {
            addCriterion("introduction not like", value, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionIn(List<String> values) {
            addCriterion("introduction in", values, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionNotIn(List<String> values) {
            addCriterion("introduction not in", values, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionBetween(String value1, String value2) {
            addCriterion("introduction between", value1, value2, "introduction");
            return (Criteria) this;
        }

        public Criteria andIntroductionNotBetween(String value1, String value2) {
            addCriterion("introduction not between", value1, value2, "introduction");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineIsNull() {
            addCriterion("upload_deadline is null");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineIsNotNull() {
            addCriterion("upload_deadline is not null");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineEqualTo(String value) {
            addCriterion("upload_deadline =", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineNotEqualTo(String value) {
            addCriterion("upload_deadline <>", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineGreaterThan(String value) {
            addCriterion("upload_deadline >", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineGreaterThanOrEqualTo(String value) {
            addCriterion("upload_deadline >=", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineLessThan(String value) {
            addCriterion("upload_deadline <", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineLessThanOrEqualTo(String value) {
            addCriterion("upload_deadline <=", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineLike(String value) {
            addCriterion("upload_deadline like", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineNotLike(String value) {
            addCriterion("upload_deadline not like", value, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineIn(List<String> values) {
            addCriterion("upload_deadline in", values, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineNotIn(List<String> values) {
            addCriterion("upload_deadline not in", values, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineBetween(String value1, String value2) {
            addCriterion("upload_deadline between", value1, value2, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andUploadDeadlineNotBetween(String value1, String value2) {
            addCriterion("upload_deadline not between", value1, value2, "uploadDeadline");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeIsNull() {
            addCriterion("create_tables_md5code is null");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeIsNotNull() {
            addCriterion("create_tables_md5code is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeEqualTo(String value) {
            addCriterion("create_tables_md5code =", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeNotEqualTo(String value) {
            addCriterion("create_tables_md5code <>", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeGreaterThan(String value) {
            addCriterion("create_tables_md5code >", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeGreaterThanOrEqualTo(String value) {
            addCriterion("create_tables_md5code >=", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeLessThan(String value) {
            addCriterion("create_tables_md5code <", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeLessThanOrEqualTo(String value) {
            addCriterion("create_tables_md5code <=", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeLike(String value) {
            addCriterion("create_tables_md5code like", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeNotLike(String value) {
            addCriterion("create_tables_md5code not like", value, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeIn(List<String> values) {
            addCriterion("create_tables_md5code in", values, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeNotIn(List<String> values) {
            addCriterion("create_tables_md5code not in", values, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeBetween(String value1, String value2) {
            addCriterion("create_tables_md5code between", value1, value2, "createTablesMd5code");
            return (Criteria) this;
        }

        public Criteria andCreateTablesMd5codeNotBetween(String value1, String value2) {
            addCriterion("create_tables_md5code not between", value1, value2, "createTablesMd5code");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}